pcl::HashTableOLD Class Reference

`#include <pcl/ml/permutohedral.h>`

## Public Member Functions

| HashTableOLD (int key_size, int n_elements)
| ~HashTableOLD ()
int | size () const
void | reset ()
int | find (const short *k, bool create=false)
const short * | getKey (int i) const

## Protected Member Functions

void | grow ()
size_t | hash (const short *k)

## Protected Attributes

size_t | key_size_
size_t | filled_
size_t | capacity_
short * | keys_
int * | table_

## Detailed Description

Definition at line 149 of file permutohedral.h.

## Constructor & Destructor Documentation

## HashTableOLD()

pcl::HashTableOLD::HashTableOLD | ( | int | key_size,
|  | int | n_elements
| ) |  |

inline explicit

Definition at line 196 of file permutohedral.h.

## ~HashTableOLD()

pcl::HashTableOLD::~HashTableOLD | ( |  | ) |

inline

Definition at line 201 of file permutohedral.h.

## Member Function Documentation

## find()

int pcl::HashTableOLD::find | ( | const short * | k,
|  | bool | create = `false`
| ) |  |

inline

Definition at line 212 of file permutohedral.h.

## getKey()

const short* pcl::HashTableOLD::getKey | ( | int | i | ) | const

inline

Definition at line 241 of file permutohedral.h.

## grow()

void pcl::HashTableOLD::grow | ( |  | ) |

inline protected

Definition at line 161 of file permutohedral.h.

## hash()

size_t pcl::HashTableOLD::hash | ( | const short * | k | ) |

inline protected

Definition at line 187 of file permutohedral.h.

## reset()

void pcl::HashTableOLD::reset | ( |  | ) |

inline

Definition at line 208 of file permutohedral.h.

## size()

int pcl::HashTableOLD::size | ( |  | ) | const

inline

Definition at line 205 of file permutohedral.h.

## Member Data Documentation

## capacity_

size_t pcl::HashTableOLD::capacity_

protected

Definition at line 158 of file permutohedral.h.

## filled_

size_t pcl::HashTableOLD::filled_

protected

Definition at line 158 of file permutohedral.h.

## key_size_

size_t pcl::HashTableOLD::key_size_

protected

Definition at line 158 of file permutohedral.h.

## keys_

short* pcl::HashTableOLD::keys_

protected

Definition at line 159 of file permutohedral.h.

## table_

int* pcl::HashTableOLD::table_

protected

Definition at line 160 of file permutohedral.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/ml/include/pcl/ml/permutohedral.h